Package org.apache.lucene.codecs.lucene103

# Class ForDeltaUtil

java.lang.Object
org.apache.lucene.codecs.lucene103.ForDeltaUtil

public final class ForDeltaUtil extends Object
Inspired from https://fulmicoton.com/posts/bitpacking/ Encodes multiple integers in a Java int to get SIMD-like speedups. If bitsPerValue <= 4 then we pack 4 ints per Java int else if bitsPerValue <= 11 we pack 2 ints per Java int else we use scalar operations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForDeltaUtil()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForDeltaUtil

    public ForDeltaUtil()